org.apache.jmeter.report.config

## Class ExporterConfiguration

- java.lang.Object
- - org.apache.jmeter.report.config.SubConfiguration
  - - org.apache.jmeter.report.config.InstanceConfiguration
    - - org.apache.jmeter.report.config.ExporterConfiguration

-     public class ExporterConfiguration
      extends InstanceConfiguration

  The class ExporterConfiguration describes the configuration of an exporter.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExporterConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filtersOnlySampleSeries()` Indicates whether series filter apply only on sample series
    `void` | `filtersOnlySampleSeries(boolean filtersOnlySampleSeries)` Sets the series filters apply only on sample series.
    `java.util.Map<java.lang.String,SubConfiguration>` | `getGraphExtraConfigurations()` Gets the extra configurations for graphs.
    `java.lang.String` | `getSeriesFilter()` Gets the series filter.
    `void` | `setSeriesFilter(java.lang.String seriesFilter)` Sets the series filter.
    `boolean` | `showControllerSeriesOnly()` Indicates whether only controller series are shown.
    `void` | `showControllerSeriesOnly(boolean showControllerSeriesOnly)` Sets the flag defining whether only controllers series are shown

    - ### Methods inherited from class org.apache.jmeter.report.config.InstanceConfiguration

      `getClassName, setClassName`

    - ### Methods inherited from class org.apache.jmeter.report.config.SubConfiguration

      `getProperties, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExporterConfiguration

          public ExporterConfiguration()

  - ### Method Detail

    - #### getGraphExtraConfigurations

          public java.util.Map<java.lang.String,SubConfiguration> getGraphExtraConfigurations()

      Gets the extra configurations for graphs.
      Returns:
        the extra configurations for graphs

    - #### filtersOnlySampleSeries

          public final boolean filtersOnlySampleSeries()

      Indicates whether series filter apply only on sample series
      Returns:
        true if series filter apply only on sample series; false otherwise

    - #### filtersOnlySampleSeries

          public final void filtersOnlySampleSeries(boolean filtersOnlySampleSeries)

      Sets the series filters apply only on sample series.
      Parameters:
        `filtersOnlySampleSeries` - true if series filter apply only on sample series; false otherwise

    - #### getSeriesFilter

          public final java.lang.String getSeriesFilter()

      Gets the series filter.
      Returns:
        the series filter

    - #### setSeriesFilter

          public final void setSeriesFilter(java.lang.String seriesFilter)

      Sets the series filter.
      Parameters:
        `seriesFilter` - the series filter to set

    - #### showControllerSeriesOnly

          public final boolean showControllerSeriesOnly()

      Indicates whether only controller series are shown.
      Returns:
        true if only controller series are shown; false otherwise

    - #### showControllerSeriesOnly

          public final void showControllerSeriesOnly(boolean showControllerSeriesOnly)

      Sets the flag defining whether only controllers series are shown
      Parameters:
        `showControllerSeriesOnly` - indicates whether only controllers series are shown

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.